namesCovFuns {SpatioTemporal} | R Documentation

## Available covariance functions

### Description

Returns a list of possible covariance function names

### Usage

    namesCovFuns()

### Details

Available covariance functions (`d` is the distance between points):

`exp,exponential`

  Exponential covariance:

  sill * exp( -d/range )

`exp2,exponential2,gaussian`

  Gaussian/double exponential covariance:

  sill * exp( -(d/range)^2 )

`cubic`

  Cubic covariance:

  sill*(1 - 7*(d/range)^2 + 8.75*(d/range)^3 - 3.5*(d/range)^5 + 0.75*(d/range)^7)

  if d<range.

`spherical`

  Spherical covariance:

  sill * (1 - 1.5*(d/range) + 0.5*(d/range)^3)

  if d<range.

`matern`

  Matern covariance:

  sill / (gamma(shape)*2^(shape-1)) * (d*sqrt(8*shape)/range)^shape * besselK( (d*sqrt(8*shape)/range), shape )

`cauchy`

  Cauchy covariance:

  sill * (1 + (d/range)^2) ^ -shape

`iid`

  IID covariance, i.e. zero matrix since nugget is added afterwards.

  0

### Value

Character vector with valid covariance function names.

### Author(s)

Johan Lindstrom

### See Also

Other covariance functions: `crossDist`, `evalCovFuns`, `makeSigmaB`, `makeSigmaNu`, `parsCovFuns`, `updateCovf`

### Examples

      namesCovFuns()

[Package SpatioTemporal version 1.1.9.1 Index]